Subject: Re: linux-next: Tree for Aug 7 (mm/khugepaged.c)

From: Randy Dunlap <[email-masked]>
Date: Wed, 7 Aug 2019 14:30:49 -0700

On 8/7/19 2:27 PM, Andrew Morton wrote:
> On Wed, 7 Aug 2019 21:00:04 +0000 Song Liu <[email-masked]> wrote:
> 
>>>>
>>>> Shall I resend the patch, or shall I send fix on top of current patch?
>>>
>>> Either is OK.  If the difference is small I will turn it into an
>>> incremental patch so that I (and others) can see what changed.
>>
>> Please find the patch to fix this at the end of this email. It applies 
>> right on top of "khugepaged: enable collapse pmd for pte-mapped THP". 
>> It may conflict a little with the "Enable THP for text section of 
>> non-shmem files" set, which renames function khugepaged_scan_shmem(). 
>>
>> Also, I found v3 of the set in linux-next. The latest is v4:
>>
>> https://lkml.org/lkml/2019/8/2/1587
>> https://lkml.org/lkml/2019/8/2/1588
>> https://lkml.org/lkml/2019/8/2/1589
> 
> It's all a bit confusing.  I'll drop 
> 
> mm-move-memcmp_pages-and-pages_identical.patch
> uprobe-use-original-page-when-all-uprobes-are-removed.patch
> uprobe-use-original-page-when-all-uprobes-are-removed-v2.patch
> mm-thp-introduce-foll_split_pmd.patch
> mm-thp-introduce-foll_split_pmd-v11.patch
> uprobe-use-foll_split_pmd-instead-of-foll_split.patch
> khugepaged-enable-collapse-pmd-for-pte-mapped-thp.patch
> uprobe-collapse-thp-pmd-after-removing-all-uprobes.patch
> 
> Please resolve Oleg's review comments and resend everything.
> 

OK, that will take care of the build error that I am still seeing
when SHMEM is not enabled:

../mm/khugepaged.c:1849:2: note: in expansion of macro ‘BUILD_BUG’
  BUILD_BUG();
  ^~~~~~~~~

-- 
~Randy